VME Intensity Monitor - Feature #9396
Beam Energy Loss Devices
07/07/2015 03:19 PM - Roger Tokarek

Status: Assigned
Priority: Normal
Assignee: John Diamond
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/26/2015

99%
0.00 hour
32.50 hours

Description
Implement BEL devices.

Subtasks:

Feature # 11010: x:BEL devices for Ml and RR

Feature # 11011: Normalized BEL devices

Feature # 11012: Support for Total Beam Energy Loss devices
Feature # 11013: BEL running average devices

Feature # 11014: BEL 1 hour and 5 min average and total devices
Feature # 11015: BEL end-of-flattop reading devices

Task # 11016: Replace BEL trigger system

Feature # 11018: Support replacing a BEL device configuration

Closed
Assigned
Closed
Closed
Closed
Closed
Closed
Closed

History

#1 - 09/26/2015 10:24 AM - John Diamond
- Assignee changed from Roger Tokarek to John Diamond

- % Done changed from 0 to 10

Created branch 9396-bel.
Started implementing BELMgr class.

#2 - 09/26/2015 07:29 PM - John Diamond

Created the BELDevice class to encapsulate the parameters and state for a beam energy loss measurement.

#3 - 09/26/2015 09:51 PM - John Diamond

Fleshed out the initialization of BELDevice.

#4 - 09/26/2015 09:52 PM - John Diamond
- % Done changed from 10 to 30

#5 - 09/27/2015 04:58 PM - John Diamond
- Status changed from New to Assigned

- % Done changed from 30 to 60

Finished implementing BELDevice class.

#6 - 09/27/2015 06:08 PM - John Diamond
- File image.jpg added

Attached a drawing that explains the various pieces of state managed by BELDevice.

#7 - 09/28/2015 11:15 AM - John Diamond
- % Done changed from 60 to 80
Implemented the vmeintBELCreate command:

e vmeintBELCreate bel_id, chain_id, filter_idx, arm_tclk, arm_delay, inj_tclk, inj_delay, disarm_tclk, disarm_delay

#8 - 09/28/2015 04:35 PM - John Diamond

Contacted Dallas & Aisha and asked them to hook-up an AWG to I:DCCT so we can test BEL code. Need to provide them with a waveform to run on
the AWG.

#9 - 09/28/2015 05:11 PM - John Diamond

Implemented the BELAccessor class. Only supporting the beam lost total at the moment.

#10 - 09/29/2015 04:43 PM - John Diamond

Modified DCCTDrv to read intensity from the sine-wave register instead of the raw-data register.
Had to debug register pointer assignments in DcctDrv class, this got rid of the intermittent Data Exception on startup.

#11 - 09/29/2015 08:34 PM - John Diamond

Dabbel'd Z:BEL to point to anub and the new BELAccessor.

Verified to the best of my ability using the DCCT digitizer's sine generator that the BEL measurement is working. We will need to do more testing
when beam returns. Changed DCCTDrv::getintensity() to return the raw input channel before comitting.

Fixed several issues in DCCTDrv in order to get an intensity reading. Confirmed with Roger that this was a git issue and that he has these bugs
addressed in his local repository. We will have to reconcile when Roger merges his code into origin/master.

#12 - 09/29/2015 08:42 PM - John Diamond
- % Done changed from 80 to 90

#13 - 11/26/2015 11:32 AM - John Diamond

Created origin/mirrdcct_master as a clone of origin/master for MI/RR DCCT work.

#14 - 12/04/2015 10:30 AM - John Diamond
- Parent task changed from #9388 to #10477
